Page MenuHomePhabricator

transplant: added support for --stop flag
ClosedPublic

Authored by taapas1128 on Jul 25 2019, 4:16 PM.

Details

Summary

This adds fuctionality for --stop flag to transplant.
A new method stop is added to transplanter class
containing logic to abort transplant.

Tests are updated as shown.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

taapas1128 created this revision.Jul 25 2019, 4:16 PM
taapas1128 updated this revision to Diff 16068.Jul 26 2019, 6:02 AM
pulkit added a subscriber: pulkit.Aug 7 2019, 5:24 PM
pulkit added inline comments.
hgext/transplant.py
415

We already have self.unlog doing the same here.

420

the , after ui is misplaced a bit

699

return tp.abort(...) here

792–793

IIUC, we don't need to manually pass statushint and cmdhint now.

tests/test-transplant.t
466

A better candidate here will be to show hg status -v as that will show whether there is an unfinished transplant or not.

taapas1128 marked 4 inline comments as done.Aug 8 2019, 12:11 PM
taapas1128 updated this revision to Diff 16159.
pulkit added inline comments.Aug 8 2019, 12:23 PM
hgext/transplant.py
417

canresume above can be used for doing this check.

taapas1128 updated this revision to Diff 16162.Aug 8 2019, 1:34 PM
pulkit added inline comments.Aug 8 2019, 4:37 PM
tests/test-transplant.t
466

This one is not done.

pulkit added a comment.Aug 8 2019, 4:40 PM

Sorry for missing this earlier, but what happens when we are transplanting mutliple revisions and we have conflicts in a revision after the first one?

Let's rename this to transplant --stop instead.

taapas1128 marked an inline comment as done.Aug 15 2019, 12:27 PM
taapas1128 retitled this revision from transplant: added support for --abort flag to transplant: added support for --stop flag.
taapas1128 edited the summary of this revision. (Show Details)
taapas1128 updated this revision to Diff 16214.
pulkit accepted this revision.Aug 16 2019, 5:54 AM
This revision is now accepted and ready to land.Aug 16 2019, 5:54 AM
This revision was automatically updated to reflect the committed changes.